commit 565602a23ac68559086a1bc43e1eb49ae3e96c8d
Author: Patrick Palka <ppalka@redhat.com>
Date:   Sun Jun 20 18:38:35 2021

    libstdc++: Define split_view::_InnerIter::base as per P2210
    
    libstdc++-v3/ChangeLog:
    
            * include/std/ranges (split_view::_InnerIter::base): Define as
            per P2210.
    
    (cherry picked from commit 85a594f7dc8ea5c765e136f162debb668139ebd4)

diff --git a/libstdc++-v3/include/std/ranges b/libstdc++-v3/include/std/ranges
index 1f43cad1d73..c507862660b 100644
--- a/libstdc++-v3/include/std/ranges
+++ b/libstdc++-v3/include/std/ranges
@@ -3021,6 +3021,14 @@ namespace views::__adaptor
 	    : _M_i(std::move(__i))
 	  { }
 
+	  constexpr iterator_t<_Base>
+	  base() const& requires copyable<iterator_t<_Base>>
+	  { return _M_i_current(); }
+
+	  constexpr iterator_t<_Base>
+	  base() &&
+	  { return std::move(_M_i_current()); }
+
 	  constexpr decltype(auto)
 	  operator*() const
 	  { return *_M_i_current(); }

